# Use forge macros for pulling from GitHub
%global forgeurl https://github.com/xaos-project/XaoS

%global alt_name XaoS

Name:           xaos
Version:        4.3.1
Release:        %autorelease
Summary:        A fast, portable real-time interactive fractal zoomer
%global tag release-%{version}
%forgemeta
License:        GPL-2.0-or-later
URL:            %forgeurl
Source:         %forgesource

BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-rpm-macros qt6-linguist


%description
XaoS is a fast, portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal. Various coloring modes are
provided for both the points inside and outside the selected set. XaoS
supports switching between Julia and Mandelbrot fractal types and
on-the-fly plane switching.


%prep
%forgeautosetup -p1

%build
%qmake_qt6
%make_build STRIP=:

%install
#
# Stolen from https://build.opensuse.org/package/view_file/openSUSE:Factory/xaos/xaos.spec?expand=1
#
# Empty install target generated by qmake => install files manually
# Binary
install -D --mode 0755 --target-directory %{buildroot}%{_bindir} bin/%{name}

# Data; Datapath forced to %%{alt_name} (not configurable)
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/%{alt_name}/catalogs catalogs/*.cat
cp --archive examples tutorial %{buildroot}%{_datadir}/%{alt_name}

# Icon, .desktop, AppData
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/metainfo xdg/%{name}.appdata.xml
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/applications xdg/io.github.xaos_project.XaoS.desktop
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/pixmaps xdg/%{name}.png

# Man
install -D --mode 0644 --target-directory %{buildroot}%{_mandir}/man6 doc/%{name}.6

%files
%doc CREDITS.md NEWS doc/README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{alt_name}
%{_datadir}/applications/io.github.xaos_project.XaoS.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/xaos.6.gz

%changelog
%autochangelog
